seed: 1

type: train

training:
  num_epochs: 250
  batch_size: 1024
  lr: 0.0005

data:
  image_size: [256, 256]

  cameras:
    cam1:
      focal: 1.0
      eye: [0.0, 0.0, -3.0]
      principal_point: [0.0, 0.0]
      scene_center: [0.0, 0.0, 0.0]
      up: [0.0, 1.0, 0.0]

    cam2:
      focal: 1.0
      eye: [2.0, 0.0, -2.0]
      principal_point: [0.0, 0.0]
      scene_center: [0.0, 0.0, 0.0]
      up: [0.0, 1.0, 0.0]

    cam3:
      focal: 1.0
      eye: [3.0, 0.0, 0.0]
      principal_point: [0.0, 0.0]
      scene_center: [0.0, 0.0, 0.0]
      up: [0.0, 1.0, 0.0]

renderer:
  type: volume
  chunk_size: 32768

sampler:
  type: stratified
  n_pts_per_ray: 64
  min_depth: 0.0
  max_depth: 5.0

implicit_function:
  type: sdf_volume

  sdf:
    type: sphere

    radius:
      val: 1.0
      opt: False

    center:
      val: [0.3, 0.2, 0.0]
      opt: True

  feature:
    val: [0.3, 0.1, 0.1]
    opt: True

  alpha:
    val: 1.0
    opt: False

  beta:
    val: 0.05
    opt: False